### Hierarchy

- VehicleModCollection

## Index

### Constructors

- constructor

### Properties

- _owner
- _vehicleMods
- _vehicleToggleMods

### Accessors

- ColorCombination
- ColorCombinationCount
- CustomPrimaryColor
- CustomSecondaryColor
- DashboardColor
- HasAllNeonLights
- IsPrimaryColorCustom
- IsSecondaryColorCustom
- LicensePlate
- LicensePlateStyle
- LicensePlateType
- Livery
- LiveryCount
- NeonLightsColor
- PearlescentColor
- PrimaryColor
- RimColor
- SecondaryColor
- TireSmokeColor
- TrimColor
- WheelType
- WindowTint

### Methods

- areAllNeonLightsOn
- clearCustomPrimaryColor
- clearCustomSecondaryColor
- getAllMods
- getMod
- getToggleMod
- hasNeonLight
- hasVehicleMod
- installModKit
- isNeonLightsOn
- setAllNeonLightsOn
- setModColor1
- setModColor2
- setNeonLightsOn

## Constructors

### constructor

- new VehicleModCollection(owner: Vehicle): VehicleModCollection

- - Defined in models/VehicleModCollection.ts:27

  #### Parameters

  - ##### owner: Vehicle

  #### Returns VehicleModCollection

## Properties

### Private _owner

_owner: Vehicle

- Defined in models/VehicleModCollection.ts:17

### Private Readonly _vehicleMods

_vehicleMods: Map<VehicleModType, VehicleMod> = ...

- Defined in models/VehicleModCollection.ts:18

### Private Readonly _vehicleToggleMods

_vehicleToggleMods: Map<VehicleToggleModType, VehicleToggleMod> = ...

- Defined in models/VehicleModCollection.ts:22

## Accessors

### ColorCombination

- get ColorCombination(): number
- set ColorCombination(value: number): void

- - Defined in models/VehicleModCollection.ts:156

  #### Returns number

- - Defined in models/VehicleModCollection.ts:160

  #### Parameters

  - ##### value: number

  #### Returns void

### ColorCombinationCount

- get ColorCombinationCount(): number

- - Defined in models/VehicleModCollection.ts:164

  #### Returns number

### CustomPrimaryColor

- get CustomPrimaryColor(): Color
- set CustomPrimaryColor(color: Color): void

- - Defined in models/VehicleModCollection.ts:242

  #### Returns Color

- - Defined in models/VehicleModCollection.ts:247

  #### Parameters

  - ##### color: Color

  #### Returns void

### CustomSecondaryColor

- get CustomSecondaryColor(): Color
- set CustomSecondaryColor(color: Color): void

- - Defined in models/VehicleModCollection.ts:251

  #### Returns Color

- - Defined in models/VehicleModCollection.ts:256

  #### Parameters

  - ##### color: Color

  #### Returns void

### DashboardColor

- set DashboardColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:144

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### HasAllNeonLights

- get HasAllNeonLights(): boolean

- - Defined in models/VehicleModCollection.ts:218

  #### Returns boolean

### IsPrimaryColorCustom

- get IsPrimaryColorCustom(): boolean

- - Defined in models/VehicleModCollection.ts:260

  #### Returns boolean

### IsSecondaryColorCustom

- get IsSecondaryColorCustom(): boolean

- - Defined in models/VehicleModCollection.ts:264

  #### Returns boolean

### LicensePlate

- get LicensePlate(): string
- set LicensePlate(text: string): void

- - Defined in models/VehicleModCollection.ts:288

  #### Returns string

- - Defined in models/VehicleModCollection.ts:292

  #### Parameters

  - ##### text: string

  #### Returns void

### LicensePlateStyle

- get LicensePlateStyle(): LicensePlateStyle
- set LicensePlateStyle(style: LicensePlateStyle): void

- - Defined in models/VehicleModCollection.ts:276

  #### Returns LicensePlateStyle

- - Defined in models/VehicleModCollection.ts:280

  #### Parameters

  - ##### style: LicensePlateStyle

  #### Returns void

### LicensePlateType

- get LicensePlateType(): LicensePlateType

- - Defined in models/VehicleModCollection.ts:284

  #### Returns LicensePlateType

### Livery

- get Livery(): undefined | number
- set Livery(value: undefined | number): void

- - Defined in models/VehicleModCollection.ts:74

  #### Returns undefined | number

- - Defined in models/VehicleModCollection.ts:82

  #### Parameters

  - ##### value: undefined | number

  #### Returns void

### LiveryCount

- get LiveryCount(): number

- - Defined in models/VehicleModCollection.ts:92

  #### Returns number

### NeonLightsColor

- get NeonLightsColor(): Color
- set NeonLightsColor(color: Color): void

- - Defined in models/VehicleModCollection.ts:177

  #### Returns Color

- - Defined in models/VehicleModCollection.ts:182

  #### Parameters

  - ##### color: Color

  #### Returns void

### PearlescentColor

- get PearlescentColor(): VehicleColor
- set PearlescentColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:132

  #### Returns VehicleColor

- - Defined in models/VehicleModCollection.ts:136

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### PrimaryColor

- get PrimaryColor(): VehicleColor
- set PrimaryColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:108

  #### Returns VehicleColor

- - Defined in models/VehicleModCollection.ts:112

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### RimColor

- get RimColor(): VehicleColor
- set RimColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:124

  #### Returns VehicleColor

- - Defined in models/VehicleModCollection.ts:128

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### SecondaryColor

- get SecondaryColor(): VehicleColor
- set SecondaryColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:116

  #### Returns VehicleColor

- - Defined in models/VehicleModCollection.ts:120

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### TireSmokeColor

- get TireSmokeColor(): Color
- set TireSmokeColor(color: Color): void

- - Defined in models/VehicleModCollection.ts:168

  #### Returns Color

- - Defined in models/VehicleModCollection.ts:173

  #### Parameters

  - ##### color: Color

  #### Returns void

### TrimColor

- set TrimColor(color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:140

  #### Parameters

  - ##### color: VehicleColor

  #### Returns void

### WheelType

- get WheelType(): VehicleWheelType
- set WheelType(type: VehicleWheelType): void

- - Defined in models/VehicleModCollection.ts:62

  #### Returns VehicleWheelType

- - Defined in models/VehicleModCollection.ts:66

  #### Parameters

  - ##### type: VehicleWheelType

  #### Returns void

### WindowTint

- get WindowTint(): VehicleWindowTint
- set WindowTint(tint: VehicleWindowTint): void

- - Defined in models/VehicleModCollection.ts:100

  #### Returns VehicleWindowTint

- - Defined in models/VehicleModCollection.ts:104

  #### Parameters

  - ##### tint: VehicleWindowTint

  #### Returns void

## Methods

### areAllNeonLightsOn

- areAllNeonLightsOn(): boolean

- - Defined in models/VehicleModCollection.ts:194

  #### Returns boolean

### clearCustomPrimaryColor

- clearCustomPrimaryColor(): void

- - Defined in models/VehicleModCollection.ts:268

  #### Returns void

### clearCustomSecondaryColor

- clearCustomSecondaryColor(): void

- - Defined in models/VehicleModCollection.ts:272

  #### Returns void

### getAllMods

- getAllMods(): (undefined | null | VehicleMod)[]

- - Defined in models/VehicleModCollection.ts:49

  #### Returns (undefined | null | VehicleMod)[]

### getMod

- getMod(modType: VehicleModType): undefined | VehicleMod

- - Defined in models/VehicleModCollection.ts:35

  #### Parameters

  - ##### modType: VehicleModType

  #### Returns undefined | VehicleMod

### getToggleMod

- getToggleMod(modType: VehicleToggleModType): undefined | VehicleToggleMod

- - Defined in models/VehicleModCollection.ts:42

  #### Parameters

  - ##### modType: VehicleToggleModType

  #### Returns undefined | VehicleToggleMod

### hasNeonLight

- hasNeonLight(light: VehicleNeonLight): boolean

- - Defined in models/VehicleModCollection.ts:226

  #### Parameters

  - ##### light: VehicleNeonLight

  #### Returns boolean

### hasVehicleMod

- hasVehicleMod(type: VehicleModType): boolean

- - Defined in models/VehicleModCollection.ts:31

  #### Parameters

  - ##### type: VehicleModType

  #### Returns boolean

### installModKit

- installModKit(): void

- - Defined in models/VehicleModCollection.ts:70

  #### Returns void

### isNeonLightsOn

- isNeonLightsOn(light: VehicleNeonLight): boolean

- - Defined in models/VehicleModCollection.ts:186

  #### Parameters

  - ##### light: VehicleNeonLight

  #### Returns boolean

### setAllNeonLightsOn

- setAllNeonLightsOn(on: boolean): void

- - Defined in models/VehicleModCollection.ts:210

  #### Parameters

  - ##### on: boolean

  #### Returns void

### setModColor1

- setModColor1(paintType: VehiclePaintType, color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:148

  #### Parameters

  - ##### paintType: VehiclePaintType

  - ##### color: VehicleColor

  #### Returns void

### setModColor2

- setModColor2(paintType: VehiclePaintType, color: VehicleColor): void

- - Defined in models/VehicleModCollection.ts:152

  #### Parameters

  - ##### paintType: VehiclePaintType

  - ##### color: VehicleColor

  #### Returns void

### setNeonLightsOn

- setNeonLightsOn(light: VehicleNeonLight, on: boolean): void

- - Defined in models/VehicleModCollection.ts:190

  #### Parameters

  - ##### light: VehicleNeonLight

  - ##### on: boolean

  #### Returns void

Generated using TypeDoc